/*** ===== CSS BASE SETTINGS ===== ***/
:root{
  --font-size: 16px;
  --font-light: #fff;
  --font-dark: #333;
  --main-color: #390b56;
  --main-modal-color: rgba(57, 11, 86, .7);
  --second-color: #c77dfc;
  --second-modal-color: rgba(199,125,255,.4);
  --third-modal-color: rgb(233, 204, 255);
  --container-width: 1100px;
}

@font-face {
  font-family: 'Title';
  src: url(../assets/fonts/Palanquin-Bold.ttf);
}
@font-face {
  font-family: 'Text';
  src: url(../assets/fonts/Palanquin-Light.ttf);
}

html{
  box-sizing: border-box;
  font-size: var(--font-size);
  scroll-behavior: smooth;
}

*,
*::before,
*::after{
  box-sizing: inherit;
}

body{
  margin: 0;
  overflow-x: hidden;
}

main{
  display: grid;
}

h1{
  font-family: 'Title';
  font-size: 2rem;
  line-height: 1;
  margin: 0;
}

p,a,li,span,button{
  font-family: 'Text';
  line-height: 1.4;
  margin: 0;
}
img{
  max-width: 100%;
  height: auto;
}

a{
  text-decoration: none;
}

ul{
  padding: 0;
}

li{
  list-style: none;
}


/*** ===== MOBILE STYLES ===== ***/
/* HEADER ===== */
.header{
  position: sticky;
  top: 0;
  width: 100%;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 3;
  background-color: var(--main-color);
  box-shadow: 0px 20px 15px -10px rgba(0,0,0,0.35);
}
.header-img{
  width: 150px;
}


/* PANEL BTN ===== */
.panel-btn{
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  width: 70px;
  height: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--main-color);
  border-radius: 50%;
  border: 1px solid var(--second-color);
  z-index: 5;
  box-shadow: 0px 10px 5px 0px rgba(0,0,0,0.45);
}
.panel-btn-icon{
  width: 30px;
}



/* ASIDE ===== */
.panel{
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  display: flex;
  align-items: center;
  background-color: var(--main-modal-color);
  z-index: 4;
  transition: transform .5s ease;
  transform: translate(100%,0);
}
.panel.is-active{
  transform: translate(0,0);
}
.menu{
  width: inherit;
}
.menu-a{
  display: block;
  padding: 1rem 0;
  font-size: 2rem;
  text-align: center;
  color: var(--font-light);
  border-top: 1px solid var(--font-light)
}
.menu-a:nth-child(3){
  border-bottom: 1px solid var(--font-light)
}


/* HOME ===== */
.home{
  position: relative;
  min-height: 100vh;
  top: -70px;
}
.home video{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.home-gradient{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 50%);
}
.home-description{
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 2;
}
.home-text{
  margin: 1rem;
  padding: 1rem;
  text-align: center;
  border-radius: 10px;
  color: var(--font-light);
  background-color: var(--second-modal-color);
}



/* TREATMENTS ===== */
.treatments-wrapp{
  padding: 4rem 0;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(245px, 1fr))
}
.treatments-card{
  text-align: center;
  margin: 20px;
  border-radius: 10px;
  box-shadow: 0px 20px 15px -10px rgba(0,0,0,0.35);
  border: 1px solid var(--main-color);
}
.treatments-card img{
  border-radius: 10px 10px 0 0;
}
.treatments-card figcaption{
  margin-top: -4px;
  background-color: var(--main-color);
}
.treatments-card figcaption p{
  color: var(--font-light);
  padding: 5px;
  font-size: 1.2rem;
  font-weight: bold;
}
.treatments-card-text{
  padding: 15px;
}
.treatments-card-text p{
  font-size: .9rem;
  color: var(--main-color);
  border-radius: 0 0 10px 10px;
  border-top: transparent;
}
.treatments-card-text button{
  color: var(--main-color);
  background-color: transparent;
  border: 1px solid var(--main-color);
  border-radius: 10px;
  padding: 10px 20px;
  margin-top: 10px;  
}



/* CONTACT ===== */
.contact-wrapp{
  margin: 0 20px;
}
.contact-text{
  text-align: center;
  margin-top: 10px;
}
.contact-title{
  font-weight: bold;
}



/* FOOTER ===== */
.footer{
  background-color: var(--main-color);
  color: var(--font-light);
}
.footer-wrapp{
  margin: 4rem 20px 0;
  padding: 4rem 0;
  text-align: center;
}
.messages a img{
  width: 30px;
  height: 30px;
  margin-right: 10px;
}







/*** ===== DESK STYLES ===== ***/
@media (min-width: 768px) {
  /* HEADER ===== */
  .header-img{
    width: 200px;
  }



  /* ASIDE ===== */
  .menu-a{
    transition: background-color .5s ease;
  }
  .menu-a:hover{
    background-color: var(--second-modal-color);
  }



  /* HOME ===== */
  .home-text{
    width: 60%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    align-items: center;
  }
  .home-text img{
    object-fit: cover;
    border-radius: 10px;
  }



  /* TREATMENTS ===== */
  .treatments-wrapp{
    max-width: var(--container-width);
    margin: 0 auto;
  }
  .treatments-card-text{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 330px;
  }
  .treatments-card-text button{
    cursor: pointer;
    transition: background-color .5s ease;
  }
  .treatments-card-text button:hover{
    background-color: var(--main-color);
    color: var(--font-light);
  }



  /* CONTACT ===== */
  .contact-wrapp{
    max-width: var(--container-width);
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas: "desc flower";
  }
  .contact-image{
    grid-area: flower;
    padding: 10px;
  }
  .contact-text{
    grid-area: desc;
    padding: 10px;
  }
}